Subject: Re: Newbie contribution idea for 'git log --children': input requested

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Sep 2022 10:08:54 -0700

Jeff King <[email-masked]> writes:

> Just sketching out an implementation, I think it is kind of similar to
> the "decorate" mechanism, where we build the commit->metadata mapping
> ahead of time, and then add output to the commits that we show. So we'd
> probably want to load it around the same time we call
> load_ref_decorations().

Yup, and yuck.  I personaly doubt that the current --children is all
that useful to begin with, and as you later mention, it would not be
useful without some interactive "jump to" feature, either using the
pager over "log --graph --oneline" output or "tig".

Thanks.